Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
dataforseo_labs
/
amazon
/
product_keyword_intersections
/
live
Keyword Intersections
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/amazon/product_keyword_intersections/live \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "asins": {},
  "location_name": "<string>",
  "location_code": 123,
  "language_name": "<string>",
  "language_code": "<string>",
  "limit": 123,
  "intersection_mode": "<string>",
  "filters": [
    "<string>"
  ],
  "order_by": [
    "<string>"
  ],
  "offset": 123,
  "tag": "<string>"
}
'
{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "tasks.result": [
    "<string>"
  ],
  "tasks.result.se_type": "<string>",
  "tasks.result.asins": {},
  "tasks.result.location_code": 123,
  "tasks.result.language_code": "<string>",
  "tasks.result.total_count": 123,
  "tasks.result.items_count": 123,
  "tasks.result.items": [
    "<string>"
  ],
  "tasks.result.items.keyword_data": {},
  "tasks.result.items.keyword_data.se_type": "<string>",
  "tasks.result.items.keyword_data.keyword": "<string>",
  "tasks.result.items.keyword_data.location_code": 123,
  "tasks.result.items.keyword_data.language_code": "<string>",
  "tasks.result.items.keyword_data.keyword_info": {},
  "tasks.result.items.keyword_data.keyword_info.se_type": "<string>",
  "tasks.result.items.keyword_data.keyword_info.last_updated_time": "<string>",
  "tasks.result.items.keyword_data.keyword_info.search_volume": 123,
  "tasks.result.items.intersection_result": {},
  "tasks.result.items.intersection_result.$asin_number": {},
  "tasks.result.items.intersection_result.$asin_number.se_type": "<string>",
  "tasks.result.items.intersection_result.$asin_number.type": "<string>",
  "tasks.result.items.intersection_result.$asin_number.rank_group": 123,
  "tasks.result.items.intersection_result.$asin_number.rank_absolute": 123,
  "tasks.result.items.intersection_result.$asin_number.position": "<string>",
  "tasks.result.items.intersection_result.$asin_number.xpath": "<string>",
  "tasks.result.items.intersection_result.$asin_number.domain": "<string>",
  "tasks.result.items.intersection_result.$asin_number.title": "<string>",
  "tasks.result.items.intersection_result.$asin_number.url": "<string>",
  "tasks.result.items.intersection_result.$asin_number.description": "<string>",
  "tasks.result.items.intersection_result.$asin_number.asin": "<string>",
  "tasks.result.items.intersection_result.$asin_number.image_url": "<string>",
  "tasks.result.items.intersection_result.$asin_number.price_from": 123,
  "tasks.result.items.intersection_result.$asin_number.price_to": 123,
  "tasks.result.items.intersection_result.$asin_number.currency": "<string>",
  "tasks.result.items.intersection_result.$asin_number.special_offers": [
    "<string>"
  ],
  "tasks.result.items.intersection_result.$asin_number.is_best_seller": true,
  "tasks.result.items.intersection_result.$asin_number.is_amazon_choice": true,
  "tasks.result.items.intersection_result.$asin_number.rating": {},
  "tasks.result.items.intersection_result.$asin_number.rating.rating_type": "<string>",
  "tasks.result.items.intersection_result.$asin_number.rating.value": 123,
  "tasks.result.items.intersection_result.$asin_number.rating.votes_count": 123,
  "tasks.result.items.intersection_result.$asin_number.rating.rating_max": 123,
  "tasks.result.items.intersection_result.$asin_number.delivery_info": {},
  "tasks.result.items.intersection_result.$asin_number.delivery_info.delivery_message": "<string>",
  "tasks.result.items.intersection_result.$asin_number.delivery_info.delivery_price": {},
  "tasks.result.items.intersection_result.$asin_number.delivery_info.delivery_price.current": 123,
  "tasks.result.items.intersection_result.$asin_number.delivery_info.delivery_price.regular": 123,
  "tasks.result.items.intersection_result.$asin_number.delivery_info.delivery_price.max_value": 123,
  "tasks.result.items.intersection_result.$asin_number.delivery_info.delivery_price.currency": "<string>",
  "tasks.result.items.intersection_result.$asin_number.delivery_info.delivery_price.is_price_range": true,
  "tasks.result.items.intersection_result.$asin_number.delivery_info.delivery_price.displayed_price": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
asins
object
required

asins of target products required field product IDs of the products for which you need to find keyword intersections; specify the ASINs as in the following example: "asins": { "1": "019005476X", "2": "0190074442" } the maximum number of ASINs you can specify in this object is 20; learn more about the parameter on this help center page

location_name
string
required

full name of the location required field if don’t specify location_code you can receive the list of available locations with their location_name by making a separate request to https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages; Note: this endpoint currently supports the US, Egypt, Saudi Arabia, and the United Arab Emirates locations only; example: United Kingdom

location_code
integer
required

location code required field if don’t specify location_name you can receive the list of available locations with their location_code by making a separate request to https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages; Note: this endpoint currently supports the US, Egypt, Saudi Arabia, and the United Arab Emirates locations only; example: 2840

language_name
string
required

full name of the language required field if don’t specify language_code you can receive the list of available languages with their language_name by making a separate request to the https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages example: English

language_code
string
required

language code required field if don’t specify language_name you can receive the list of available languages with their language_code by making a separate request to the https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages example: en

limit
integer

the maximum number of products in the results array optional field default value: 100; maximum value: 1000

intersection_mode
string

mode for finding asin intersections optional field possible values: union, intersect; default value: intersect; learn more about the parameter in this help center guide

filters
string[]

array of results filtering parameters optional field you can add several filters at once (8 filters maximum) you should set a logical operator and, or between the conditions the following operators are supported: regex, not_regex, , , >, >=, =, , in, not_in, ilike, not_ilike, like, not_like, match, not_match you can use the % operator with like and not_like, as well as ilike and not_ilike to match any string of zero or more characters example: ["avg_position"," for more information about filters, please refer to Dataforseo Labs – Filters or this help center guide

order_by
string[]

results sorting rules optional field you can use the same values as in the filters array to sort the results possible sorting types: asc – results will be sorted in the ascending order desc – results will be sorted in the descending order you should use a comma to set up a sorting parameter example: ["sum_position,desc"] note that you can set no more than three sorting rules in a single request you should use a comma to separate several sorting rules example: ["intersections,desc","avg_position,asc"] default rule: ["intersections,desc"]

offset
integer

offset in the results array of returned keywords optional field default value: 0 if you specify the 10 value, the first ten keywords in the results array will be omitted and the data will be provided for the successive keywords

tag
string

user-defined task identifier optional field the character limit is 255 you can use this parameter to identify the task and match it with the result you will find the specified tag value in the data object of the response

Response

Successful response

version
string

the current version of the API

status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_message
string

general informational message you can find the full list of general informational messages here

time
string

execution time, seconds

cost
number

total tasks cost, USD

tasks_count
integer

the number of tasks in the tasks array

tasks_error
integer

the number of tasks in the tasks array returned with an error

tasks
string[]

array of tasks

tasks.id
string

task identifier unique task identifier in our system in the UUID format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here

tasks.status_message
string

informational message of the task you can find the full list of general informational messages here

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the same parameters that you specified in the POST request

tasks.result
string[]

array of results

tasks.result.se_type
string

search engine type

tasks.result.asins
object

ASINs in a POST array

tasks.result.location_code
integer

location code in a POST array if there is no data, then the value is null

tasks.result.language_code
string

language code in a POST array if there is no data, then the value is null

tasks.result.total_count
integer

total amount of results in our database relevant to your request

tasks.result.items_count
integer

the number of results returned in the items array

tasks.result.items
string[]

contains detected Amazon product competitors and related data

tasks.result.items.keyword_data
object

keyword data for the returned keyword

tasks.result.items.keyword_data.se_type
string

search engine type

tasks.result.items.keyword_data.keyword
string

returned keyword

tasks.result.items.keyword_data.location_code
integer

location in a POST array

tasks.result.items.keyword_data.language_code
string

language in a POST array

tasks.result.items.keyword_data.keyword_info
object

keyword data for the returned keyword

tasks.result.items.keyword_data.keyword_info.se_type
string

search engine type

tasks.result.items.keyword_data.keyword_info.last_updated_time
string

date and time when keyword data was updated in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”; example: 2019-11-15 12:57:46 +00:00

tasks.result.items.keyword_data.keyword_info.search_volume
integer

average monthly search volume rate represents the (approximate) number of searches for the returned keyword on Amazon

tasks.result.items.intersection_result
object

data on the intersection

tasks.result.items.intersection_result.$asin_number
object

intersection data for one of the ASINs in a POST request

tasks.result.items.intersection_result.$asin_number.se_type
string

search engine type

tasks.result.items.intersection_result.$asin_number.type
string

type of element = ‘amazon_serp’

tasks.result.items.intersection_result.$asin_number.rank_group
integer

position within a group of elements with identical type values positions of elements with different type values are omitted from rank_group

tasks.result.items.intersection_result.$asin_number.rank_absolute
integer

absolute rank in Amazon SERP absolute position among all the elements in SERP

tasks.result.items.intersection_result.$asin_number.position
string

the alignment of the element in Amazon SERP can take the following values: left, right

tasks.result.items.intersection_result.$asin_number.xpath
string

the XPath of the element

tasks.result.items.intersection_result.$asin_number.domain
string

Amazon domain

tasks.result.items.intersection_result.$asin_number.title
string

product title

tasks.result.items.intersection_result.$asin_number.url
string

URL of the product page

tasks.result.items.intersection_result.$asin_number.description
string

description of the product

tasks.result.items.intersection_result.$asin_number.asin
string

ASIN of the product learn more about ASIN in this help center guide

tasks.result.items.intersection_result.$asin_number.image_url
string

URL of the product image featured in the results

tasks.result.items.intersection_result.$asin_number.price_from
number

the regular price of a product example: 49.98

tasks.result.items.intersection_result.$asin_number.price_to
number

the upper limit of the product price range example: 384.99

tasks.result.items.intersection_result.$asin_number.currency
string

currency in the ISO format example: USD

tasks.result.items.intersection_result.$asin_number.special_offers
string[]

special offer details contains special offer details, including coupon and Subscribe & Save discounts

tasks.result.items.intersection_result.$asin_number.is_best_seller
boolean

“Best Seller” label if the value is true, the product is marked with the “Best Seller” label

tasks.result.items.intersection_result.$asin_number.is_amazon_choice
boolean

“Amazon’s choice” label if the value is true, the product is marked with the “Amazon’s choice” label

tasks.result.items.intersection_result.$asin_number.rating
object

the item’s rating the popularity rate based on reviews and displayed in SERP

tasks.result.items.intersection_result.$asin_number.rating.rating_type
string

the type of rating here you can find the following elements: Max5, Percents, CustomMax

tasks.result.items.intersection_result.$asin_number.rating.value
integer

the value of the rating

tasks.result.items.intersection_result.$asin_number.rating.votes_count
integer

the amount of feedback

tasks.result.items.intersection_result.$asin_number.rating.rating_max
integer

the maximum value for a rating_type

tasks.result.items.intersection_result.$asin_number.delivery_info
object

delivery information delivery information including free and fast delivery date ranges

tasks.result.items.intersection_result.$asin_number.delivery_info.delivery_message
string

delivery information message accompanying the delivery information as posted by the seller

tasks.result.items.intersection_result.$asin_number.delivery_info.delivery_price
object

price for the delivery price of the delivery based on the location you specified in the POST request; if free delivery is available, the value is null

tasks.result.items.intersection_result.$asin_number.delivery_info.delivery_price.current
number

current delivery price

tasks.result.items.intersection_result.$asin_number.delivery_info.delivery_price.regular
number

regular undiscounted delivery price

tasks.result.items.intersection_result.$asin_number.delivery_info.delivery_price.max_value
number

maximum undiscounted delivery price

tasks.result.items.intersection_result.$asin_number.delivery_info.delivery_price.currency
string

currency in the ISO format

tasks.result.items.intersection_result.$asin_number.delivery_info.delivery_price.is_price_range
boolean

indicates whether the delivery price is a range

tasks.result.items.intersection_result.$asin_number.delivery_info.delivery_price.displayed_price
string

price line provided as displayed in Amazon listing